Skip to main content

Generate auth token

POST 

/services/notifications/v1/generate-auth-token

Generating the auth token only needs to be done once, since this auth token will be good for receiving all push notifications associated with your current API token. However, this endpoint may be called as many times as necessary to reset the auth token for additional security. The active auth token is always the most recently generated auth token.

Workflow to set up push notifications services:

  1. Generate auth token | Generate the auth token to be used in the HTTP header to authenticate invocations to your callback endpoint.

  2. Implement a callback URL endpoint on your infrastructure. The callback URL endpoint must meet the following requirements:

    ● Implemented on HTTPS

    ● Accessible from any IP address

    ● Requires an Authorization header with the auth token generated in Step 1

    ● Rejects (via HTTP 401) a request that does not have an Authorization header or has the wrong Authorization header

    ● Accepts a HTTP POST request with a JSON body

  3. Register callback URL | Register your endpoint to recieve Maintenance Notifications.

  4. Send test notification | Test out your endpoint.

Request

Responses

Success